/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-30 at 19:29:04 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.shopping.model;

/**
 * Model definition for ShoppingModelCategoryJsonV1.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Search API For Shopping. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ShoppingModelCategoryJsonV1 extends com.google.api.client.json.GenericJson {

  /**
   * Id of category.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * Ids of the parents of the category.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.lang.String> parents;

  /**
   * Short name of category.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String shortName;

  /**
   * URL of category.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String url;

  /**
   * Id of category.
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * Id of category.
   * @param id id or {@code null} for none
   */
  public ShoppingModelCategoryJsonV1 setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  /**
   * Ids of the parents of the category.
   * @return value or {@code null} for none
   */
  public java.util.List<java.lang.String> getParents() {
    return parents;
  }

  /**
   * Ids of the parents of the category.
   * @param parents parents or {@code null} for none
   */
  public ShoppingModelCategoryJsonV1 setParents(java.util.List<java.lang.String> parents) {
    this.parents = parents;
    return this;
  }

  /**
   * Short name of category.
   * @return value or {@code null} for none
   */
  public java.lang.String getShortName() {
    return shortName;
  }

  /**
   * Short name of category.
   * @param shortName shortName or {@code null} for none
   */
  public ShoppingModelCategoryJsonV1 setShortName(java.lang.String shortName) {
    this.shortName = shortName;
    return this;
  }

  /**
   * URL of category.
   * @return value or {@code null} for none
   */
  public java.lang.String getUrl() {
    return url;
  }

  /**
   * URL of category.
   * @param url url or {@code null} for none
   */
  public ShoppingModelCategoryJsonV1 setUrl(java.lang.String url) {
    this.url = url;
    return this;
  }

  @Override
  public ShoppingModelCategoryJsonV1 set(String fieldName, Object value) {
    return (ShoppingModelCategoryJsonV1) super.set(fieldName, value);
  }

  @Override
  public ShoppingModelCategoryJsonV1 clone() {
    return (ShoppingModelCategoryJsonV1) super.clone();
  }

}
